<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/editcomments/class/view/adminedittrackbackview.class.php" );

	/**
	 * actions that displays the list of comments in the blog.
	 */
	class AdminEditTrackbackAction extends AdminAction{
	
		function AdminEditTrackbackAction( $actionInfo, $request ){
			$this->AdminAction( $actionInfo, $request );
		}
		
		function perform(){
            $trackbackId = $this->_request->getValue("commentId");

            $this->_view = new AdminEditTrackbackView($this->_blogInfo, $trackbackId);

			$this->setCommonData();
			
			return true;
		}
	}
?>